<template>
  <div>
    <h1 class="mb-6">Were you happy with your treatment of {{ treatmentName }}?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="selected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <CommonBtn
      @click="$emit('nextStage')"
      text="Next"
      :disabled="!selected"
    />
  </div>
</template>

<script>
import {answersMixin} from "@/utils/mixins";
import CommonBtn from "@/components/common/CommonBtn";
import RadioInput from "@/components/inputs/RadioInput";

export default {
  components: {RadioInput, CommonBtn},
  props: {
    treatmentName: String
  },
  watch: {
    selected(newVal) {
      const currentAnswer = this.answer(this.answersKeys.YOUR_HEALTH)?.['stage_9'] ?? {}
      this.setAnswer(this.answersKeys.YOUR_HEALTH, {
        ...currentAnswer,
        [this.treatmentName]: newVal
      }, 'stage_9')
    }
  },
  mixins: [answersMixin],
  name: "YourHealth9",
  data() {
    return {
      selected: null,
      choices: [
        'Yes',
        'No'
      ]
    }
  }
}
</script>

<style scoped>

</style>
